<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_o.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_o"></a>- o -</h3><ul>
<li>o
: <a class="el" href="class_light.html#a40e3c201ef2e17b89e937833f2da9111">Light</a>
, <a class="el" href="class_ray.html#a167f59267ea3d32cb3a69f50ec13aeda">Ray</a>
, <a class="el" href="class_vertex.html#af633aabbd5adf4a3c59b32e87816ebbe">Vertex</a>
</li>
<li>objects
: <a class="el" href="class_scene.html#a6fc93379440340cecd060235a1b9f69a">Scene</a>
</li>
<li>on
: <a class="el" href="class_light.html#a37ee0b241dbdaff4a13cc269de33a8bf">Light</a>
</li>
<li>ONES
: <a class="el" href="class_mat.html#a81e79dbc41eec4017d02700a3e2e160ba43a34a635de69cc32c8a2521662a713d">Mat</a>
</li>
<li>operator%()
: <a class="el" href="class_vec.html#a4671f57d4ff6d2af27703071c95a00bb">Vec</a>
</li>
<li>operator*()
: <a class="el" href="class_mat.html#ac55ba72ef5aca0073b943f474a52cd00">Mat</a>
, <a class="el" href="class_vec.html#a73ad126ecde40cd40d7f8d94a28f1d27">Vec</a>
</li>
<li>operator+()
: <a class="el" href="class_mat.html#a16c420cd1147660064644876769f6c32">Mat</a>
, <a class="el" href="class_vec.html#a436959bd7cacc35bd0ec920ab6c4db10">Vec</a>
</li>
<li>operator-()
: <a class="el" href="class_vec.html#afd81c5160ec2a2a4ce0e13a95e344d9f">Vec</a>
</li>
<li>operator/()
: <a class="el" href="class_vec.html#a6f1779ed87ed0b6b1c8d6b30fb6973c7">Vec</a>
</li>
<li>operator=()
: <a class="el" href="class_mat.html#a2d0c8183b215b55d6d7d6de2cd099c23">Mat</a>
</li>
<li>operator[]()
: <a class="el" href="class_vec.html#a851e89b0653553745cb01ebf55268d56">Vec</a>
</li>
<li>orientation_fixed
: <a class="el" href="class_camera.html#aeb2d4c41d0188be81f8fb2d01307fa99">Camera</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
